<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>com.dxhy</groupId>
        <artifactId>pt</artifactId>
        <version>8.0.6</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <artifactId>dxhy-ncp</artifactId>
    <groupId>com.dxhy.jxpt</groupId>
    <version>${jxpt.version}</version>
    <packaging>jar</packaging>
    <description>dxhy-ncp</description>
    <dependencies>
        <dependency>
            <groupId>com.dxhy.jxpt</groupId>
            <artifactId>dxhy-jx-auth</artifactId>
            <version>${jxpt.version}</version>
            <exclusions>
                <exclusion>
                    <groupId>com.dxhy.jxpt</groupId>
                    <artifactId>dxhy-common</artifactId>
                </exclusion>
            </exclusions>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>com.dxhy.jxpt</groupId>
            <artifactId>dxhy-base-service</artifactId>
            <version>${project.version}</version>
            <exclusions>
                <exclusion>
                    <groupId>com.dxhy.jxpt</groupId>
                    <artifactId>dxhy-common</artifactId>
                </exclusion>
            </exclusions>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>com.dxhy.jxpt</groupId>
            <artifactId>dxhy-common</artifactId>
            <version>${project.version}</version>
            <exclusions>
                <exclusion>
                    <groupId>org.springframework.boot</groupId>
                    <artifactId>spring-boot-starter-jdbc</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>org.springframework.boot</groupId>
                    <artifactId>spring-boot-starter-parent</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>com.google</groupId>
                    <artifactId>guava</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>org.apache.poi</groupId>
                    <artifactId>poi</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>org.apache.poi</groupId>
                    <artifactId>poi-ooxml</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>org.apache.commons</groupId>
                    <artifactId>commons-compress</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>org.apache.pdfbox</groupId>
                    <artifactId>pdfbox</artifactId>
                </exclusion>
            </exclusions>
            <scope>provided</scope>
        </dependency>
    </dependencies>
</project>
